﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using JsonStandardResponseDemo.Models;

namespace JsonStandardResponseDemo.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/

        public ActionResult Index()
        {
            return View();
        }

        #region sample json calls
        [HttpPost]
        public JsonResult DeleteSuccess(int? id) { 
            //TODO: All the businness logic/data access            
            //We are assuming success:            
            return Json(JsonResponseFactory.SuccessResponse());
        }

        [HttpPost]
        public JsonResult DeleteError(int? id)
        {
            //TODO: All the businness logic/data access            
            //We are assuming failure:
            return Json(JsonResponseFactory.ErrorResponse("Record was not found on the database... Can't delete!"));
        }

        [HttpPost]
        public JsonResult GetObjectSuccess(int? id)
        {
            //TODO: All the businness logic/data access            
            //NOTE: For this example I am using a dynamic object, but the idea is that it could be any object
            var car = new { Name = "Toyota Yaris", Price = "10000", Color = "Red" };
            //We are assuming success, we are passing the object:
            return Json(JsonResponseFactory.SuccessResponse(car));
        
        }

        [HttpPost]
        public JsonResult GetObjectError(int? id)
        {
            //TODO: All the businness logic/data access            
            //We are assuming failure:
            return Json(JsonResponseFactory.ErrorResponse("Could not find car for the Id provided."));

        }
        #endregion

    }
}
